# Script that automatically creates different versions of a routine with different precisions
from AutoRPE.UtilsRPE.CodeTools import fix_casts

if __name__ == "__main__":
    # Getting Command line options
    from optparse import OptionParser
    help_text = """
    """
    parser = OptionParser(usage=help_text)
    parser.add_option("-l", "--variable-list", dest="variable_list",
                     help="Path to the filename with the list of variables.", default=None, metavar="FILE")
    parser.add_option("-v", "--vault", dest="vault", default=None, metavar="FILE")
    parser.add_option("-s", "--input-source", dest="input_source", default=None, metavar="FILE")

    (options, args) = parser.parse_args()
    vault_path = options.vault
    source_path = options.input_source
    list_filename = options.variable_list



    if source_path is None or vault_path is None:
       print("\nArgument -s/--input-source and -v/--vault are mandatory\n")
       parser.print_help()
       exit(1)
    fix_casts(source_path, vault_path, list_filename)
